QGIS Application - Bug report #2054
OSM plugin: tags/values not deleted on upload
2009-11-06 07:45 AM - Dan Karran

Status: Closed
Priority: Low
Assignee: Martin Dobias
Category: Python plugins

Affected QGIS version:
Operating System: OS X
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 12114

Description

When a tag is removed from a node in OSM and then uploaded, the uploader thinks there is a change to be made, and a new version of
the OSM node is created, but the tag you deleted in QGIS does not get removed from the OSM node.

Also related, if you add a tag through QGIS, then remove it, and upload your changes, the tag still gets added to the OSM node.

See, e.g. http://www.openstreetmap.org/browse/node/283515072 where | added the addr:city tag by accident, removed it in QGIS and

added an operator tag (v3 of OSM node). | subsequently tried to remove the operator tag (v4).

Associated revisions

Revision 32fe182a - 2009-12-19 05:12 PM - Martin Dobias

OSM: Upload only tag which are not marked as deleted. Fixes #2054.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12519 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision a8f7e817 - 2009-12-19 05:12 PM - Martin Dobias

OSM: Upload only tag which are not marked as deleted. Fixes #2054.

git-svn-id: http://svn.osgeo.org/qgis/trunk@12519 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-19 08:13 AM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in commit:a8f7e817 (SVN r12520).
